---
# dashboard.yaml
apiVersion: traefik.containo.us/v1alpha1
kind: IngressRoute
metadata:
  name: {{ printf "%s-%s" (include "traefik.fullname" . )  "dashboard" }}
  annotations:
    helm.sh/hook: "post-install,post-upgrade"
  labels:
    app.kubernetes.io/name: {{ template "traefik.name" . }}
    helm.sh/chart: {{ template "traefik.chart" . }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
    app.kubernetes.io/instance: {{ .Release.Name }}
spec:
  entryPoints:
    - admin
  routes:
    - match: Host(`traefik.mgmt.agepoly.ch`)
      kind: Rule
      services:
        - name: api@internal
          kind: TraefikService
